Package org.kapott.hbci.sepa.jaxb.pain_008_001_01

## Class ReferredDocumentInformation1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_01.ReferredDocumentInformation1

    public class ReferredDocumentInformation1
    extends java.lang.Object

Java class for ReferredDocumentInformation1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReferredDocumentInformation1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="RfrdDocTp" type="{urn:sepade:xsd:pain.008.001.01}ReferredDocumentType1" minOccurs="0"/>
             <element name="RfrdDocNb" type="{urn:sepade:xsd:pain.008.001.01}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `rfrdDocNb`
`protected ReferredDocumentType1` `rfrdDocTp`

### Constructor Summary

Constructors
`ReferredDocumentInformation1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getRfrdDocNb()` Gets the value of the rfrdDocNb property.
`ReferredDocumentType1` `getRfrdDocTp()` Gets the value of the rfrdDocTp property.
`void` `setRfrdDocNb​(java.lang.String value)` Sets the value of the rfrdDocNb property.
`void` `setRfrdDocTp​(ReferredDocumentType1 value)` Sets the value of the rfrdDocTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rfrdDocTp

    protected ReferredDocumentType1 rfrdDocTp

#### rfrdDocNb

    protected java.lang.String rfrdDocNb

### Constructor Detail

#### ReferredDocumentInformation1

    public ReferredDocumentInformation1()

### Method Detail

#### getRfrdDocTp

    public ReferredDocumentType1 getRfrdDocTp()

Gets the value of the rfrdDocTp property.

Returns:
  possible object is `ReferredDocumentType1`

#### setRfrdDocTp

    public void setRfrdDocTp​(ReferredDocumentType1 value)

Sets the value of the rfrdDocTp property.

Parameters:
  `value` - allowed object is `ReferredDocumentType1`

#### getRfrdDocNb

    public java.lang.String getRfrdDocNb()

Gets the value of the rfrdDocNb property.

Returns:
  possible object is `String`

#### setRfrdDocNb

    public void setRfrdDocNb​(java.lang.String value)

Sets the value of the rfrdDocNb property.

Parameters:
  `value` - allowed object is `String`